Bug 1181765 - com.redhat.imsettings critical assertion failure "g_dbus_method_invocation_return_value_internal: assertion '(parameters == NULL) || g_variant_is_of_type (parameters, G_VARIANT_TYPE_TUPLE)' failed" on login
Summary: com.redhat.imsettings critical assertion failure "g_dbus_method_invocation_re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imsettings
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 17:17 UTC by Jonathan Kamens
Modified: 2015-01-28 19:59 UTC (History)
2 users (show)

Fixed In Version: imsettings-1.6.8-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 19:59:26 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2015-01-13 17:17:50 UTC
I see this in my logs right when I log in:

Jan 13 11:51:10 jik2 com.redhat.imsettings: [ 1421167870.739375]: GLib-GIO[1805]: CRITICAL **: g_dbus_method_invocation_return_value_internal: assertion '(parameters == NULL) || g_variant_is_of_type (parameters, G_VARIANT_TYPE_TUPLE)' failed

I suspect that it's due to the fact that imsettings is trying to talk to dbus when the dbus daemon isn't ready for people to talk to it, but that's just a guess.

Comment 1 Akira TAGOH 2015-01-14 03:06:32 UTC
So do you use the desktop that don't use dbus?
Though the xinit script for imsettings is checking if dbus is running on the desktop before bringing up the process. so it shouldn't be likely.

If it's reproducible, please let me know how to and what desktop do you use. that would helps to improve it. thanks.

Comment 2 Jonathan Kamens 2015-01-14 20:14:00 UTC
I use GNOME and dbus.

There have been various open bugs for a while about the fact that dbus isn't always ready to respond to requests at the point in the login process where GNOME expects it to be ready. Perhaps this is one of those instances.

In that case, I guess either this needs to be reclassified as a dbus or GNOME bug (depending on whose fault it is that dbus isn't ready when it's expected to be), or imsettings needs to be fixed to wait and retry for some period of time, i.e., to be robust against the fact that there's a timing issue that might prevent dbus from being ready exactly when imsettings wants to use it.

Comment 3 Fedora Update System 2015-01-15 10:13:41 UTC
imsettings-1.6.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/imsettings-1.6.8-1.fc21

Comment 4 Fedora Update System 2015-01-17 05:47:36 UTC
Package imsettings-1.6.8-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing imsettings-1.6.8-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0821/imsettings-1.6.8-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-21 23:00:11 UTC
Package imsettings-1.6.8-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing imsettings-1.6.8-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0821/imsettings-1.6.8-2.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-28 19:59:26 UTC
imsettings-1.6.8-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.